CAL(1)

NAME
cal - display a calendar

SYNOPSIS
cal [options] [[[day] month] year]

DESCRIPTION
cal displays a simple calendar. If no arguments are specified, the current month is displayed.

OPTIONS

-1, --one
    Display single month output. (This is the default.)

-3, --three
    Display three months spanning the date.

-s, --sunday
    Display Sunday as the first day of the week.

-m, --monday
    Display Monday as the first day of the week.

-j, --julian
    Display Julian dates (days one-based, numbered from January 1).

-y, --year
    Display a calendar for the whole year.

-w, --week[=number]
    Display week numbers in the calendar (US or ISO-8601).

--color[=when]
    Colorize output. The when can be never, auto, or always. Never will turn off colorizing in all situations. Auto is default, and it will make colorizing to be in use if output is done to terminal. Always will allow colors to be outputed when cal outputs to pipe, or is called from a script.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

PARAMETERS
A single parameter specifies the year to be displayed; note the year must be fully specified: cal 89 will not display a calendar for 1989.

Two parameters denote the month (1 - 12) and year.

Three parameters denote the day (1-31), month and year, and the day will be highlighted if the calendar is displayed on a terminal. If no parameters are specified, the current month's calendar is displayed.

A year starts on Jan 1. The first day of the week is determined by the locale.

The week numbering depends on the choice of the first day of the week. If Sunday (the default) is used for the first day of the week, then the customary North American numbering will be used, i.e. the first Sunday of the year starts the first week. If Monday is selected, then the ISO-8601 standard week numbering is used, where the first Thursday of the year is in week number 1.

COLORS
Implicit coloring can be disabled as follows:
    touch /etc/terminal-colors.d/cal.disable
For more details see terminal-colors.d(5).

BUGS

The cal program uses the 3rd of September 1752 as the date of the Gregorian calendar reformation -- that is when it happened in Great Britain and its colonies (including what is now the USA). Ten days following that date were eliminated by this reformation, so the calendar for that month is rather unusual. The actual historical dates at which the calendar reform happened in all the different countries (locales) are ignored.

Alternative calendars, such as the Umm al-Qura, the Solar Hijri, the Ge'ez, or the lunisolar Hindu, are not supported.

HISTORY
A cal command appeared in Version 6 AT&T UNIX.

AVAILABILITY
The cal command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.